Returns users of the specified role.

GEThttps://api.awork.com/api/v1/roles/{roleId}/users
GET https://api.awork.com/api/v1/roles/{roleId}/users

Returns users of the specified role. The result lists users assigned to the role.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

roleIdstringRequired
format: uuid

The id of the role.

Query parameters

showArchivedbooleanOptional
Default: false

Whether to show archived users.

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

userIdstringRequired
format: uuid

The id of the user to add to the role.

isDeactivatedbooleanOptional

Whether the user is deactivated in this role.

roleIdstringOptional
format: uuid

The id of the role the user is assigned to.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation